내 주소 목록 조회
curl --request GET \
--url https://api.headlesscommerce.io/v1/storefront/customers/me/addresses \
--header 'Authorization: Bearer <token>' \
--header 'X-Customer-Token: <api-key>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"company": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>",
"is_default": true,
"created_at": "2023-11-07T05:31:56Z"
}
]
}Storefront - 고객
내 주소 목록 조회
GET
/
storefront
/
customers
/
me
/
addresses
내 주소 목록 조회
curl --request GET \
--url https://api.headlesscommerce.io/v1/storefront/customers/me/addresses \
--header 'Authorization: Bearer <token>' \
--header 'X-Customer-Token: <api-key>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"company": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>",
"is_default": true,
"created_at": "2023-11-07T05:31:56Z"
}
]
}인증
API Key. Example: sk_live_xxxxx or pk_live_xxxxx
Storefront customer authentication token. Issued via POST /admin/customers/{id}/token. Required for accessing /storefront/customers/, /storefront/orders/.
응답
200 - application/json
성공
Show child attributes
Show child attributes
⌘I